level_set.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation(T, M)

## Functions

template<class T >
bool | intersection_is_quadrilateral_T (const std::vector< T > &f, quadruplet &q)
template<class T , class M >
void | gamma_list2disarray (const std::list< point_basic< T > > &gamma_node_list, std::array< std::list< std::pair< element_type, size_t > >, reference_element::max_variant > gamma_side_list, const communicator &comm, size_t d, disarray< point_basic< T >, M > &gamma_node, std::array< disarray< element_type, M >, reference_element::max_variant > &gamma_side, disarray< size_t, M > &sid_ie2bnd_ie)
template<class T , class M >
geo_basic< T, M > | level_set_internal (const field_basic< T, M > &, const level_set_option &, std::vector< size_t > &, disarray< size_t, M > &)
template<class T , class M >
geo_basic< T, M > | level_set (const field_basic< T, M > &fh, const level_set_option &opt)
| _RHEOLEF_instanciation (Float, sequential) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M
| ) |  |

Value:
template geo_basic<T,M> level_set_internal ( \
const field_basic<T,M>&, \
const level_set_option&, \
std::vector<size_t>&, \
disarray<size_t,M>&); \
template geo_basic<T,M> level_set ( \
const field_basic<T,M>&, \
const level_set_option&);
rheolef::level_set_internal
geo_basic< T, M > level_set_internal(const field_basic< T, M > &, const level_set_option &, std::vector< size_t > &, disarray< size_t, M > &)
Definition: level_set.cc:415
rheolef::level_set
geo_basic< T, M > level_set(const field_basic< T, M > &fh, const level_set_option &opt)
Definition: level_set.cc:924

Definition at line 936 of file level_set.cc.